首页 > 新闻资讯 > WordPress 5.2 “Jaco”正式版发布

WordPress 5.2 “Jaco”正式版发布

0条评论
标签:
更多

  WordPress 5.2 已经发布了,目前在网站后台已经看到更新推送信息。

  WordPress 5.2版本,命名为“Jaco”,以纪念着名和革命性的爵士贝司手Jaco Pastorius,可在WordPress仪表板中下载或更新。如果出现问题,此更新中的新功能可以比以往更轻松地修复您的网站。还有更强大的工具可用于识别和修复配置问题和致命错误。无论您是帮助客户的开发人员还是您自己管理网站,这些工具都可以帮助您在需要时获得正确的信息。

  一、保持网站更安全

  网站健康检查

  基于5.1中引入的站点运行状况功能,此版本添加了两个新页面以帮助调试常见配置问题。它还增加了开发人员可以为站点维护人员提供调试信息的空间。

  PHP错误保护

  这种以管理员为中心的更新可让您安全地修复或管理致命错误,而无需开发人员时间。它具有更好的处理所谓的“死亡白屏”,以及一种进入恢复模式的方法,它可以暂停导致错误的插件或主题。

  二、对每个人的改进

  辅助功能更新

  许多变化协同工作,以改善使用屏幕阅读器和其他辅助技术的人的上下文感知和键盘导航流程。

  新的仪表板图标

  十三个新图标,包括Instagram,BuddyPress的一套图标,以及全球包含的旋转地球图标。在仪表板中找到它们并享受一些乐趣!

  插件兼容性检查

  WordPress现在将自动确定您的网站的PHP版本是否与已安装的插件兼容。如果插件需要比您的网站当前使用的更高版本的PHP,WordPress将不允许您激活它,以防止潜在的兼容性错误。

  三、开发者福音

  PHP 版本要求

  从WordPress 5.2 *开始,要求的最低PHP版本为5.6.20。主题和插件可以安全地利用命名空间,匿名函数等等!

  隐私更新

  新的主题页面模板,条件函数和两个CSS类使得隐私策略页面的设计和自定义变得更加容易。

  新的body钩子

  5.2 引入了一个wp_body_open钩子,它允许主题在元素的开头注入代码。

  构建JavaScript

  通过在 wordpress/scripts 包中添加webpack和Babel配置,开发人员不必担心设置复杂的构建工具来编写现代JavaScript。

* 版权声明:作者WordPress啦! 转载请注明出处。